corda / net.corda.client.model / TrackedDelegate / ObjectPropertyDelegate

# ObjectPropertyDelegate

`class ObjectPropertyDelegate<M : Any, T> : TrackedDelegate<M>`

### Constructors

<init> | `ObjectPropertyDelegate(klass: KClass<M>, objectPropertyProperty: (M) -> ObjectProperty<T>)`

### Properties

objectPropertyProperty | `val objectPropertyProperty: (M) -> ObjectProperty<T>`

### Inherited Properties

klass | `val klass: KClass<M>`

### Functions

getValue | `operator fun getValue(thisRef: Any, property: KProperty<*>): ObjectProperty<T>`